/* drawers.c */

#include <pic.h>

#include "amc.h"
#include "drawers.h"
#include "timer.h"
#include "remoteio.h"

extern BOOLEAN openExpected;

void AMC_SelectSwitches(BYTE bank)
{
BYTE thePort;

    thePort = PORTD & 0xF3;
    thePort |= (bank << 2);
    PORTD = thePort;
}

///////////////////// drawers_open//////////////////////////////////////////
// Purpose:
//       returns 0 if all drawers are closed, otherwise a value where
//       the bit number of any open drawers has the value 1.
////////////////////////////////////////////////////////////////////////////
BYTE AMC_DrawersOpen()
{
BYTE theSwitches;

  RC5=ON;
  AMC_SelectSwitches(0);
  theSwitches = (PORTD & 0xF0) >> 4;
  AMC_SelectSwitches(1);
  theSwitches |= (PORTD & 0xF0);
  return (~theSwitches);
}


///////////////////// drawer_open //////////////////////////////////////////
// Purpose:
//       returns 0 if the specified drawer is closed, otherwise a value where
//       the bit number of the specified drawer has the value 1.
////////////////////////////////////////////////////////////////////////////
BYTE AMC_DrawerOpen(int s)
{
BYTE theDrawers;

  theDrawers = AMC_DrawersOpen();
  return (theDrawers & activeDrawerMask & (1 << (s-1)));
}


///////////////////// pop_drawer //////////////////////////////////////////
// Purpose:
//       to fire the solenoid for the specified drawer schedule
//       a reset for the appropriate time.
////////////////////////////////////////////////////////////////////////////
void AMC_PopDrawer(int s)
{
  openExpected = TRUE;
  if ( (s < 9) && (s > 0))
  {
  	  RC5 = 0;
	  PORTD = (PORTD|0x0F)&(0xF0|(s-1));
	  MilliPause(54);
    RC5 = 1;
    AMC_UpdateTime();
  }
}

