/* remoteio.h */

#define SERVICE_LED     0x01
#define	SLEEP_LED      0x02
#define	READY_LED      0x03
#define	LOW_BATT_LED   0x06
#define CHARGING_LED    0x05
#define	OPEN_LED       0x04
#define	OPEN_DRAWER    0x10
#define	REQUEST_CODE   0x2A
#define	DIAGNOSTIC     0x3A
#define	NO_COMMAND     0xAA
#define BUZZER_ON      0x4F
#define BUZZER_OFF     0x5F
#define BEEP           0x61
#define BLIP           0x62
#define CART_ACTIVE_ALERT          0x63
#define DRAWER_ALREADY_OPEN_ALERT  0x64
#define CODE_IS_VALID              0x65
#define CODE_NOT_VALID             0x66
#define POWER_BAD_ALERT            0x67
#define POWER_MAINS_ALERT          0x68
#define POWER_BATTERY_ALERT        0x69
#define BATTERY_DEAD_ALERT         0x70

#define mAMC_KPLED(_whichled_, _ledstate_) {\
  U_I2CStart();\
  U_I2CWrite(KEYPAD_I2C_ADDRESS);\
  MilliPause(1);\
  U_I2CWrite(_ledstate_ + _whichled_);\
  MilliPause(1);\
  U_I2CStop(); MilliPause(50);}


#define mAMC_KPBEEP(_kind_) {\
  U_I2CStart();\
  U_I2CWrite(KEYPAD_I2C_ADDRESS);\
  MilliPause(1);\
  U_I2CWrite(_kind_);\
  MilliPause(1);\
  U_I2CStop(); MilliPause(50);}


/* prototypes */

BYTE AMC_KpLed(BYTE whichled, BYTE state);
BYTE AMC_KPBeep(BYTE kind);
BYTE AMC_KPAccessResult(BYTE pass_fail);
void AMC_OffLeds(void);
void AMC_SendAlert(BYTE kind);












