/* timer.h */

#ifndef TIMER
#define TIMER

struct timer_event
{
  long  minutes;
  long  milliseconds;                  // set to zero when not active, otherwise non-zero
};

#define   NUM_EVENTS      5
#define   timer1_start     65535L - 125L + 1L

/* event ids */
#define   DRAWER_OPEN_EVENT    0
#define   BUSY_EVENT           1
#define   POWER_TIMEOUT_EVENT  2
#define   SLEEP_EVENT          3
#define   SCB_RECONNECT_EVENT  4
#define   POWER_WARNING_EVENT  5

#endif  /* TIMER */

#define AMC_SCB_CONNECTION_TIMEOUT  180

#define mAMC_DISABLE_SCB RC1=0
#define mAMC_ENABLE_SCB  RC1=1

#define mAMC_DISABLE_EXT_PWR RC2=1
#define mAMC_ENABLE_EXT_PWR  RC2=0

void AMC_BusyLoop(long milliseconds);
void AMC_UpdateTime(void);
void AMC_RemoveTimerEvent(int event_index);
void AMC_ProcessEvents(void);
void AMC_Wake(void);

void AMC_ResetLongEvent(int event_index, long minutes);
void AMC_ResetFastEvent(int event_index, long milliseconds);
void AMC_OffScb(void);
void AMC_InitTimer(void);

